#pragma once


class CSelectedPathDlg : public CDialog
{
public:
//Constructors / Destructors
  CSelectedPathDlg(_In_opt_ CWnd* pParent = nullptr);
  CSelectedPathDlg(const CSelectedPathDlg&) = delete;
  CSelectedPathDlg(CSelectedPathDlg&&) = delete;
  ~CSelectedPathDlg() = default; //NOLINT(modernize-use-override)

//Methods
  CSelectedPathDlg& operator=(const CSelectedPathDlg&) = delete;
  CSelectedPathDlg& operator=(CSelectedPathDlg&&) = delete;

//Member variables
  enum { IDD = IDD_SELECTEDPATH };
  CString m_sPath;
  BOOL m_bExpand;

protected:
//Methods
  void DoDataExchange(CDataExchange* pDX) override;

  DECLARE_MESSAGE_MAP()
};
