#pragma once


class CFilenameMaskDlg : public CDialog
{
public:
//Constructors / Destructors
  CFilenameMaskDlg(_In_opt_ CWnd* pParent = nullptr);
  CFilenameMaskDlg(const CFilenameMaskDlg&) = delete;
  CFilenameMaskDlg(CFilenameMaskDlg&&) = delete;
  ~CFilenameMaskDlg() = default; //NOLINT(modernize-use-override)

//Methods
  CFilenameMaskDlg& operator=(const CFilenameMaskDlg&) = delete;
  CFilenameMaskDlg& operator=(CFilenameMaskDlg&&) = delete;

//Member variables
  enum { IDD = IDD_FILENAME_MASK };
  CString m_sMask;

protected:
//Methods
  void DoDataExchange(CDataExchange* pDX) override;

  DECLARE_MESSAGE_MAP()
};
